REGULATOR_LIST_HARDW(9)

NAME
regulator_list_hardware_vsel - get the HW-specific register value for a selector

SYNOPSIS

int regulator_list_hardware_vsel(struct regulator * regulator, unsigned selector);

ARGUMENTS

regulator
    regulator source

selector
    identify voltage to list

DESCRIPTION

Converts the selector to a hardware-specific voltage selector that can be directly written to the regulator registers. The address of the voltage register can be determined by calling regulator_get_hardware_vsel_register.

On error a negative errno is returned.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT